=== oem-wireless-rtlwifi-1367658-1.0wataugafour7/oem-wireless-rtlwifi-1367658-dkms-mkdeb/debian/changelog ===
oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour7) precise; urgency=medium

  * install firmware. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 04:54:03 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour6) precise; urgency=medium

  * bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 01:34:35 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour5) precise; urgency=medium

  * use newer rtl8723befw.bin in Trusty's linux-firmware package.
    (LP: #1401489)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 30 Dec 2014 15:24:50 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour4) precise; urgency=medium

  * bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 17 Nov 2014 23:07:47 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour3) trusty; urgency=medium

  * build for precise, bump version.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 18 Sep 2014 14:35:35 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour2) trusty; urgency=medium

  * build all kernel modules

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 18 Sep 2014 14:35:35 +0800

oem-wireless-rtlwifi-1367658-dkms (1.0wataugafour1) precise; urgency=medium

  * Initial release.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 15 Sep 2014 12:47:38 +0800
